View Issue Details

IDProjectCategoryView StatusLast Update
0000411Main CAcert Websitewebsite contentpublic2014-02-05 00:38
Reporterjohan Assigned ToINOPIAE  
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Fixed in Version2013 Q4 
Summary0000411: Wrong text is made into link
DescriptionWhen viewing your server certificates, you have "Domain Certificates - View all certificates" above it.

By default only "Domain Certificates" are visible.
Clicking the link "View all certificates", correctly displays all (server) certificates.

However, you have to click "View all certificates" again to go back to the "Domain Certificates" view.

So, on the "all certificates" view, the text "Domain Certificates" should be the link, not the text "all certificates".


Johan.
Additional InformationIn order to be consistent, this text should also be changed.

Or you display:
"Domain Certificates - All Certificates", or:
"View Domain Certificates - View All Certificates"

(Also note punctiation.)
TagsNo tags attached.
Reviewed bydastrath, NEOatNHNG
Test Instructions

Activities

INOPIAE

2013-10-22 21:11

updater   ~0004402

I added a fix to github https://github.com/INOPIAE/CAcert/commit/6cac7a2ba66a8a9cae451ea7ac216b389c6dd02d

INOPIAE

2013-10-22 21:29

updater   ~0004404

Last edited: 2013-10-22 21:33

View 2 revisions

added a new fix to github https://github.com/INOPIAE/CAcert/commit/df55d38af2e9c613d1392611314b249995c3d971

NEOatNHNG

2013-10-22 22:00

administrator   ~0004405

I have reviewed the changes and they're OK. Needs a second review.

egal

2013-10-22 23:36

administrator   ~0004406

Looks good ... review done ...

MartinGummi

2013-10-22 23:38

updater   ~0004407

Last edited: 2013-10-22 23:40

View 5 revisions

Client Certificates
  toggle between all and aktiv certificates works

Server Certificates
  toggle between all and aktiv certificates works

=> OK

Eva

2013-10-22 23:43

updater   ~0004408

Tested this with an account with multiple old and one active client and server certificate.

On default only the active certificates are visible. This is the same for client and server certificates.
-> ok

There is a link "view all certificates". This link is above and below the list of certificates. This is the same for client and server certificates.
-> ok

A click on this link shows all certificates and the link switches to "hide old certificates". This looks the same for client and server certificates.
-> ok

Another click shows only the active certificates again and the link switches again to "view all certificates". Again the same for server and client certificats.
-> ok


On an account without certificates only the link above the (empty) list is displayed. This is the same for client and server certificates.
-> ok

Overall:
=> ok

wytze

2013-10-23 19:08

developer   ~0004410

The fix has been installed on the production server on October 23, 2013. See also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2013-10/msg00011.html

Issue History

Date Modified Username Field Change
2007-02-05 17:50 johan New Issue
2013-01-08 00:05 Werner Dworak Status new => needs work
2013-10-22 21:11 INOPIAE Note Added: 0004402
2013-10-22 21:11 INOPIAE Assigned To => INOPIAE
2013-10-22 21:11 INOPIAE Status needs work => fix available
2013-10-22 21:20 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 7a9167bb
2013-10-22 21:20 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 6cac7a2b
2013-10-22 21:29 INOPIAE Note Added: 0004404
2013-10-22 21:33 INOPIAE Note Edited: 0004404 View Revisions
2013-10-22 21:55 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 854bae1a
2013-10-22 21:55 INOPIAE Source_changeset_attached => cacert-devel testserver-stable df55d38a
2013-10-22 21:58 INOPIAE Status fix available => needs review & testing
2013-10-22 22:00 NEOatNHNG Reviewed by => NEOatNHNG
2013-10-22 22:00 NEOatNHNG Note Added: 0004405
2013-10-22 23:36 egal Note Added: 0004406
2013-10-22 23:37 NEOatNHNG Reviewed by NEOatNHNG => dastrath, NEOatNHNG
2013-10-22 23:38 NEOatNHNG Status needs review & testing => needs testing
2013-10-22 23:38 MartinGummi Note Added: 0004407
2013-10-22 23:38 MartinGummi Note Edited: 0004407 View Revisions
2013-10-22 23:38 MartinGummi Note Edited: 0004407 View Revisions
2013-10-22 23:39 egal Additional Information Updated View Revisions
2013-10-22 23:40 MartinGummi Note Edited: 0004407 View Revisions
2013-10-22 23:40 MartinGummi Note Edited: 0004407 View Revisions
2013-10-22 23:43 Eva Note Added: 0004408
2013-10-22 23:49 NEOatNHNG Status needs testing => ready to deploy
2013-10-23 19:08 wytze Note Added: 0004410
2013-10-23 19:08 wytze Status ready to deploy => solved?
2013-10-23 19:08 wytze Fixed in Version => 2013 Q4
2013-10-23 19:08 wytze Resolution open => fixed
2013-10-31 20:30 BenBE Source_changeset_attached => cacert-devel release 234b43ac
2014-02-05 00:38 INOPIAE Status solved? => closed